#include "outils.h"

namespace fraction {

  Fraction additionner( Fraction a, Fraction b ) {
    return creer( a.numerateur * b.denominateur + b.numerateur * a.denominateur, a.denominateur * b.denominateur );
  }

  bool lire( std::istream & input, Fraction & f ) {
    bool status = false;
    char sep;
    input >> f.numerateur >> sep >> f.denominateur;
    if (!input.fail() && '/' == sep) {
      //afficher ( f );
      //afficher ( simplifier(f) );
      status = true;
    }
    else {
      std::cout << "Ce n'est pas une fraction..." << std::endl;
      input.clear();
      input.ignore(100,'\n');
    }
    return status;
  }

  void ecrire( std::ostream & output, const Fraction & f ) {
    output << f.numerateur << " / " << f.denominateur << std::endl;
  }

}
